<Project Sdk="Microsoft.NET.Sdk">
  <PropertyGroup>
    <TargetFramework>net6.0</TargetFramework>
	  <EnableNETAnalyzers>true</EnableNETAnalyzers>
    <RootNamespace>Estat.Sri.Ws.Test</RootNamespace>
  </PropertyGroup>
  <ItemGroup>
    <None Remove="DataQueryV21_template.xml" />
    <None Remove="DataQueryV2_template.xml" />
    <None Remove="ESTAT+DEMOGRAPHY+2.1.xml" />
    <None Remove="ESTAT+STS+2.0.xml" />
    <None Remove="StructureQueryV20.xml" />
    <None Remove="StructureQueryV20_no_result.xml" />
    <None Remove="StructureQueryV21.xml" />
    <None Remove="StructureQueryV21_no_result.xml" />
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="DataQueryV21_template.xml">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </EmbeddedResource>
    <EmbeddedResource Include="DataQueryV2_template.xml">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </EmbeddedResource>
    <EmbeddedResource Include="ESTAT+DEMOGRAPHY+2.1.xml">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </EmbeddedResource>
    <EmbeddedResource Include="ESTAT+STS+2.0.xml">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </EmbeddedResource>
    <EmbeddedResource Include="StructureQueryV20.xml">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </EmbeddedResource>
    <EmbeddedResource Include="StructureQueryV20_no_result.xml">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </EmbeddedResource>
    <EmbeddedResource Include="StructureQueryV21.xml">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </EmbeddedResource>
    <EmbeddedResource Include="StructureQueryV21_no_result.xml">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </EmbeddedResource>
  </ItemGroup>
  <ItemGroup>
    <PackageReference Include="Estat.Sri.StructureRetriever" />
    <PackageReference Include="Microsoft.Extensions.Configuration.Json" />
    <PackageReference Include="Microsoft.NET.Test.Sdk" />
    <PackageReference Include="Nunit" />
    <PackageReference Include="NUnit3TestAdapter" />
    <PackageReference Include="System.Data.SqlClient" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\..\src\AuthModule\Estat.Nsi.AuthModule.csproj" />
    <ProjectReference Include="..\..\src\Controllers\Controllers.csproj" />
  </ItemGroup>
  <ItemGroup>
    <None Update="Properties.json">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
    <None Update="testhost.dll.config">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
  </ItemGroup>
</Project>